# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rngo-cli"
version = "0.15.0"
authors = ["Aoife Lee <aoife@rngo.dev>"]
build = false
exclude = [
    "test/*",
    ".rngo/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Data simulation CLI using api.rngo.dev"
homepage = "https://rngo.dev"
readme = "README.md"
keywords = [
    "cli",
    "data",
    "testing",
    "simulation",
]
categories = [
    "command-line-utilities",
    "api-bindings",
    "development-tools",
    "simulation",
]
license = "MIT"
repository = "https://github.com/rngodev/cli"

[[bin]]
name = "rngo"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.clap]
version = "4.5.39"
features = ["derive"]

[dependencies.config]
version = "0.15.11"

[dependencies.directories]
version = "6.0.0"

[dependencies.futures]
version = "0.3.31"

[dependencies.inquire]
version = "0.7.5"

[dependencies.reqwest]
version = "0.12.19"
features = [
    "json",
    "rustls-tls",
    "stream",
]
default-features = false

[dependencies.serde]
version = "1.0.219"

[dependencies.serde_json]
version = "1.0.140"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.tokio]
version = "1.45.1"
features = ["full"]
